<?php
/**
* En este modelo se encuentran todas las consultas realizadas en la tabla de agenda(Administrador general)
*/
class AgendaF_model extends CI_Model
{
   
  public function getEventos($query,$idClient){
    $data['Franquicias']=$this->agendaF_model->BuscarFranquicia();
      foreach ($data['Franquicias'] as $i => $Franquicias)
    $this->db->select('*');
      
    $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
    $this->db->join('categoria','Categoria_IdCategoria = IdCategoria','inner');
    $this->db->join('clientes','Clientes_IdClientes = IdClientes','inner');
    $this->db->join('cabina','Cabina_IdCabina = IdCabina','inner');
    $this->db->where('IdFranquicias',$i);
    /*if ($idClient!= null) {
      $this->db->where('Clientes_IdClientes', $idClient);
    }
    if ($query!=null) {
      $this->db->where('Cabina_IdCabina', $query); 
    }*/
    $this->db->select('IdAgenda id, Cabina_IdCabina cabina, NombreCategoria title, Fecha start, Observaciones  obs,  Usuarios_IdUsuarios usu ,  HoraFin hof,  HoraInicio hoi, Fecha fecha, estatuscitas_IdEstatusCita est, Promociones_IdPromociones promociones, ServiciosFranquicias_IdServiciosFranquicias servicio, IdCategoria categoria, NombreCliente clientes, IdClientes idC, CelularCliente Celular');
    $this->db->from('agenda');
     $this->db->where('`estatuscitas_IdEstatusCita !=',3);
    return $this->db->get()->result();

  }
  public function BuscaCliente($id){
    $data['Franquicias']=$this->agendaF_model->BuscarFranquicia();
    foreach ($data['Franquicias'] as $i => $Franquicias) 
       $this->db->select('*');
       $this->db->where('Franquicias_IdFranquicias',$i);
       $this->db->where('IdClientes',$id);
       $this->db->order_by('NombreCliente','ASC');
       return $this->db->get('clientes')->result();
      
    }


  public function BuscarPorNombreCliente($cliente){
     $id = $this->BuscarIdFranquicia();
         
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->join('categoria','Categoria_IdCategoria = IdCategoria','inner');
     $this->db->join('clientes','Clientes_IdClientes = IdClientes','inner');
     $this->db->join('cabina','Cabina_IdCabina = IdCabina','inner');
     $this->db->like('NombreCliente', $cliente,'both');
     $this->db->where('IdFranquicias',$id);


     $this->db->select('IdAgenda id, Cabina_IdCabina cabina, NombreCategoria title, Fecha start, Observaciones  obs,  Usuarios_IdUsuarios usu ,  HoraFin hof,  HoraInicio hoi, Fecha fecha, estatuscitas_IdEstatusCita est, Promociones_IdPromociones promociones, ServiciosFranquicias_IdServiciosFranquicias servicio, IdCategoria categoria, NombreCliente clientes, IdClientes idC, CelularCliente Celular, NombreCabina');
   //   $this->db->select('IdAgenda id, Cabina_IdCabina cabina, NombreCategoria title, Fecha start, Observaciones  obs,  Usuarios_IdUsuarios usu ,  HoraFin hof,  HoraInicio hoi, Fecha fecha, estatuscitas_IdEstatusCita est, Promociones_IdPromociones promociones, ServiciosFranquicias_IdServiciosFranquicias servicio, IdCategoria categoria, NombreCliente clientes, IdClientes idC, CelularCliente Celular, CorreoCliente Correo');
     $this->db->from('agenda');
     $this->db->where('agenda.Franquicias_IdFranquicias', $id);
     $this->db->where('`estatuscitas_IdEstatusCita !=',3);
     $this->db->order_by('Fecha','ASC');

     return $this->db->get()->result();

   }

   public function BuscarIdFranquicia(){
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
              return $row->IdFranquicias; }
    }


  public function BuscarServiciosNombre($codigo){
    /*echo json_encode($codigo);*/
       $Serviciosgenerales   =  $this->BuscarServiciosGenerales($codigo);

      if( count($Serviciosgenerales) != 0 ){
          echo json_encode($Serviciosgenerales);
      }
      else {
        $Serviciosfranquicias =  $this->BuscarServiciosFranquicia($codigo);
          if( count($Serviciosfranquicias) != 0 ){
            echo json_encode( $Serviciosfranquicias);
          }
      }
      
      
   }

   public function BuscarServiciosFranquicia($codigo){

      $this->db->select('*');
      $this->db->from('serviciosfranquicias');
      $this->db->where('IdServiciosFranquicias',(String) $codigo);
      $query = $this->db->get()->result();

      //tomando en  cuenta q no exiten folios repetidos
      $id = $query[0]->ServiciosGenerales_IdServiciosGenerales;

      $this->db->select('*');
      $this->db->from('serviciosgenerales');
      $this->db->where('IdServiciosGenerales',$id);
      $queryResult = $this->db->get()->result();
      return $queryResult;

   }

   public function BuscarServiciosGenerales($codigo){
      $this->db->select('*');
      $this->db->from('serviciosgenerales');
      $this->db->where('Codigo_Servicios',(String) $codigo);
      return $this->db->get()->result();

   }

   public function BuscarPromocionesNombre($promocion){
      $this->db->select('*');
      $this->db->from('promociones');
      $this->db->where('FolioPromocion',$promocion);
      echo  json_encode($this->db->get()->result());
   }


 public function buscarporcabina($query)
  {// Realiza una consulta a la bd para buscar la agenda de la franquicia seleccionada
      
      $data['Franquicias']=$this->agendaF_model->BuscarFranquicia();
      foreach ($data['Franquicias'] as $i => $Franquicias)
     
     
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->join('categoria','Categoria_IdCategoria = IdCategoria','inner');
     $this->db->join('clientes','Clientes_IdClientes = IdClientes','inner');
     $this->db->join('cabina','Cabina_IdCabina = IdCabina','inner');
     $this->db->where('IdFranquicias',$i);
     $this->db->where('Cabina_IdCabina', $query);
     $this->db->where('`estatuscitas_IdEstatusCita !=',3);




   //   $this->db->select('IdAgenda id, Cabina_IdCabina cabina, NombreCategoria title, Fecha start, Observaciones  obs,  Usuarios_IdUsuarios usu ,  HoraFin hof,  HoraInicio hoi, Fecha fecha, estatuscitas_IdEstatusCita est, Promociones_IdPromociones promociones, ServiciosFranquicias_IdServiciosFranquicias servicio, IdCategoria categoria, NombreCliente clientes, NombreCabina');
   $this->db->select('IdAgenda id, Cabina_IdCabina cabina, NombreCategoria title, Fecha start, Observaciones  obs,  Usuarios_IdUsuarios usu ,  HoraFin hof,  HoraInicio hoi, Fecha fecha, estatuscitas_IdEstatusCita est, Promociones_IdPromociones promociones, ServiciosFranquicias_IdServiciosFranquicias servicio, IdCategoria categoria, NombreCliente clientes, IdClientes idC, CelularCliente Celular, NombreCabina');
    $this->db->from('agenda');
   return $this->db->get()->result();

   }

     public function getEventos1(){
      $this->db->select('*');
      $this->db->join('categoria','Categoria_IdCategoria = IdCategoria','inner');
      $this->db->join('clientes','Clientes_IdClientes = IdClientes','inner');


      $this->db->select('IdAgenda id, NombreCategoria title, Fecha start, NombreCliente NC');
    

    $this->db->from('agenda');

   

      return $this->db->get()->result();
   }


 
public function updEvento2($data){
    
    $this->db->set('Observaciones', $data['descripcion']);
    $campos = array(
      /*'Franquicias_IdFranquicias' =>( int ) $this->BuscarIdFranquicia(),*/
      /*'Clientes_IdClientes' => ( int ) $data['nombreCliente'],*/
      // 'Categoria_IdCategoria' =>( int ) $data['idCategoria'],
      'ServiciosFranquicias_idServiciosFranquicias' => $data['codeService'],
      'promociones_idPromociones' =>$data['codePromo'],
      'Fecha' => $data['fechaAgendada'],
      'HoraInicio' => $data['horaInicio'],
      'HoraFin' => $data['horaFin'],
      'Cabina_IdCabina' =>( int ) $data['idCabina'] ,
      'estatuscitas_IdEstatusCita' =>( int ) $data['estado'],
      'Observaciones' => $data['descripcion'],
      'Usuarios_IdUsuarios' =>( int ) $data['idUserChange'],
/*      'IdAgenda' =>( int ) $data['idEvento']  */
      );
    /*return $campos;*/

    $this->db->where('IdAgenda',( int ) $data['idEvento']);
    $this->db->update('agenda',$campos);
    


    if ($this->db->affected_rows() > 0) {
      return 1;
    }else{
      return 0;
    }
  }

   public function deleteEvento($id){
    $this->db->where('IdAgenda', $id);
    return $this->db->delete('agenda');
   }




 public function guardar($parametro){
     $campos=array(
         
         'Clientes_IdClientes' => $parametro['Clientes_IdClientes'],
         'Categoria_IdCategoria' => $parametro['Categoria_IdCategoria'],
         'ServiciosFranquicias_IdServiciosFranquicias' => $parametro['ServiciosFranquicias_IdServiciosFranquicias'],
         'Promociones_IdPromociones' => $parametro['Promociones_IdPromociones'],
         'Fecha' => $parametro['Fecha'],
         'HoraInicio' => $parametro['HoraInicio'],
         'HoraFin' => $parametro['HoraFin'],
         'estatuscitas_IdEstatusCita' => $parametro['estatuscitas_IdEstatusCita'],
         'Cabina_IdCabina' => $parametro['Cabina_IdCabina'],
         'Observaciones' => $parametro['Observaciones'],
         'Usuarios_IdUsuarios' => $parametro['Usuarios_IdUsuarios'],
         'Franquicias_IdFranquicias' => $parametro['Franquicias_IdFranquicias']
      );
 
         

      $this->db->insert('agenda',$campos);
     
     

   }
   public function nuevaCita($parametro){
      $campos=array(
          
          'Clientes_IdClientes' => $parametro['Clientes_IdClientes'],
          'Categoria_IdCategoria' => $parametro['Categoria_IdCategoria'],
          'ServiciosFranquicias_IdServiciosFranquicias' => $parametro['ServiciosFranquicias_IdServiciosFranquicias'],
          'Promociones_IdPromociones' => $parametro['Promociones_IdPromociones'],
          'Fecha' => $parametro['Fecha'],
          'HoraInicio' => $parametro['HoraInicio'],
          'HoraFin' => $parametro['HoraFin'],
          'estatuscitas_IdEstatusCita' => $parametro['estatuscitas_IdEstatusCita'],
          'Cabina_IdCabina' => $parametro['Cabina_IdCabina'],
          'Observaciones' => $parametro['Observaciones'],
          'Usuarios_IdUsuarios' => $parametro['Usuarios_IdUsuarios'],
          'Franquicias_IdFranquicias' => $parametro['Franquicias_IdFranquicias']
       );

       $query=$this->db->insert('agenda',$campos);
       $res=$this->db->affected_rows();
       if ($res > 0) { 
         return TRUE;
         }  
      
      
 
    }




   public function BuscarServicios(){

  $this->db->join('serviciosgenerales','ServiciosGenerales_IdServiciosGenerales = IdServiciosGenerales','inner');
  $query = $this->db->get_where('serviciosfranquicias' ,  array ( 'Franquicias_IdFranquicias'=> 3));
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdServiciosFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreServicio, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }


//Consulta que la promociones locales/emergetes del cliente a que se le realizara la cita
    public function BuscarPromocionesLocales(){
     //$this->db->select('*');

    // $data['Zona']=$this->agendaA_models->BuscarZona();
    // foreach ($data['Zona'] as $i => $Zona) 
    // $this->db->where('Zona_IdZona',$i);
    $this->db->where("(TipoPromocion_IdTipoPromocion = '2' OR TipoPromocion_IdTipoPromocion ='4')");
    $this->db->where('Estatus','ACTIVA');
    $this->db->order_by('NombrePromocion',"ASC");
    $query=$this->db->get('promociones');
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdPromociones, ENT_QUOTES)] = htmlspecialchars($row->NombrePromocion, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
     }        
//Consulta que la promociones Fijas/Institucionales del cliente a que se le realizara la cita

public function BuscarPromocionesinstitucionales(){
    $this->db->where("(TipoPromocion_IdTipoPromocion = '1' OR TipoPromocion_IdTipoPromocion ='3')");
    $this->db->where('Estatus','ACTIVA');
    $this->db->order_by('NombrePromocion',"ASC");
    $query=$this->db->get('promociones');
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdPromociones, ENT_QUOTES)] = htmlspecialchars($row->NombrePromocion, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }



 public function BuscarCategoria(){
     $query = $this->db-> query('SELECT IdCategoria,NombreCategoria FROM categoria'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdCategoria, ENT_QUOTES)] = htmlspecialchars($row->NombreCategoria, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }


  public function BuscarUsuario(){
     $data['Franquicias']=$this->agendaF_model->BuscarFranquicia();
     foreach ($data['Franquicias'] as $i => $Franquicias)
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
    $this->db->where('Franquicias_IdFranquicias',$i);
    $this->db->where('Estatus', 'Activo');
  
    // $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     //$query = $this->db-> query('SELECT IdUsuarios,NombreUsuario FROM usuarios'); 
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdUsuarios, ENT_QUOTES)] = htmlspecialchars($row->NombreUsuario, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

  public function BuscarCliente(){
     $query = $this->db-> query('SELECT IdClientes,NombreCliente FROM clientes'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdClientes, ENT_QUOTES)] = htmlspecialchars($row->NombreCliente, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }



public function BuscarEstatusCita(){
     $query = $this->db-> query('SELECT IdEstatusCita,NombreEstatusCita FROM estatuscitas'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdEstatusCita, ENT_QUOTES)] = htmlspecialchars($row->NombreEstatusCita, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }



  public function BuscarPromociones(){
  $this->db->join('promociones','Promociones_IdPromociones = IdPromociones','inner');

  $query = $this->db->get_where('promociones' ,  array ( 'Franquicias_IdFranquicias'=> 2 ));

 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdPromocionesFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombrePromocion, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }

 }
// Realiza una consulta a la bd para buscar las franquicias que existen y poder mandar el resultado
   public function BuscarFranquicia(){
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

    
     public function BuscarCabina(){
    $data['Franquicias']=$this->agendaF_model->BuscarFranquicia();
     foreach ($data['Franquicias'] as $i => $Franquicias)
    $this->db->select('*'); 
     $this->db->from('cabina');
    // $this->db->join('cabina','IdCabina=IdCabina','inner');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->where('Franquicias_IdFranquicias',$i);
     //$this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdCabina, ENT_QUOTES)] = htmlspecialchars($row->NombreCabina, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; 
         }else{

     //     echo "<script>alert('No se ha encontrado niguna cabina asignada a su franquicia');</script>";
     // redirect('acceso/acceso','refresh');

       echo "<script>alert('No se ha encontrado niguna cabina asignada a su franquicia');
                 window.location.href='".base_url()."acceso/acceso';
                 </script>";
   
    }
}

    public function BuscarZona(){
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->join('zona','Zona_IdZona=IdZona','inner');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdZona, ENT_QUOTES)] = htmlspecialchars($row->NombreZona, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
         
       public function BuscarModelo(){
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->join('modelo','Modelo_IdModelo=IdModelo','inner');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdModelo, ENT_QUOTES)] = htmlspecialchars($row->IdModelo, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
      public function BuscarServiciosFranquicias(){
    $this->db->select('*');
    $this->db->join('serviciosgenerales','ServiciosGenerales_IdServiciosGenerales = IdServiciosGenerales','inner');
     return $this->db->get('serviciosfranquicias')->result();
    }
    public function BuscarServiciosGeneral(){
    //$data['Zona']=$this->agendaF_model->BuscarZona();
    //foreach ($data['Zona'] as $a => $Zona) 
    $data['Modelo']=$this->agendaF_model->BuscarModelo();
    foreach ($data['Modelo'] as $j => $Modelo)

    $this->db->select('*');
   // $this->db->where('Zona_IdZona',$a);
    $this->db->where('Modelo_IdModelo',$j);
    $this->db->WHERE("(TipoServicio_IdTipoServicio = '2' OR TipoServicio_IdTipoServicio = '3')");
    return $this->db->get('serviciosgenerales')->result();
    }
    public function Buscarpromos(){

    $this->db->select('*');
     $this->db->where('ClasePromocion','Servicio');
    return $this->db->get('promociones')->result();
    }
 
   //  public function nombreSer($id)
   //  {
   //        $this->db->select('NombreServicio');
   //        $this->db->join('serviciosgenerales','ServiciosGenerales_IdServiciosGenerales=IdServiciosGenerales','inner');
   //        $this->db->where('IdServiciosFranquicias',$id);
   //        $query=$this->db->get('serviciosfranquicias');
   //        if ($query->num_rows() > 0) { 
   //          foreach($query->result() as $row) 
   //           {
   //              $nombre=$row->NombreServicio;
   //            return $nombre; 
   //           }              
   //         }else{
   
   //               $this->db->select('NombreServicio');
   //              $this->db->where('Codigo_Servicios',$id);
   //              $query2=$this->db->get('serviciosgenerales');
   //              if ($query2->num_rows() > 0) { 
   //                foreach($query2->result() as $row2) 
   //                 {
   //                    $nombre=$row2->NombreServicio;
   //                  return $nombre; 
   //                 }              
   //               }else{
   //                  return "";
   //               }
   //         }
   //  }
   //  public function nombrePromocion($id)
   //  {
   //    $this->db->select('NombrePromocion');
   //    $this->db->where('FolioPromocion',$id);
   //    $query=$this->db->get('promociones');
   //    if ($query->num_rows() > 0) { 
   //       foreach($query->result() as $row) 
   //       {
   //          $nombre=$row->NombrePromocion;
   //          return $nombre; 
   //       }              
   //       }else{
   //          return "";
   //       }
   //  }
    public function nombreTratamiento($id1, $id2)
    {
       if($id1!='')
       {
         // return $id1;
         $this->db->select('NombreServicio');
         $this->db->join('serviciosgenerales','ServiciosGenerales_IdServiciosGenerales=IdServiciosGenerales','inner');
         $this->db->where('IdServiciosFranquicias',$id1);
         $query=$this->db->get('serviciosfranquicias');
         if ($query->num_rows() > 0) { 
           foreach($query->result() as $row) 
            {
               $nombre=$row->NombreServicio;
             return $nombre; 
            }              
          }
          else{  
               $this->db->select('NombreServicio');
               $this->db->where('Codigo_Servicios',$id1);
               $query2=$this->db->get('serviciosgenerales');
               if ($query2->num_rows() > 0) { 
                 foreach($query2->result() as $row2) 
                  {
                     $nombre=$row2->NombreServicio;
                   return $nombre; 
                  }              
                }else{
                   return "";
                }
          }
       }else{
         $this->db->select('NombrePromocion');
         $this->db->where('FolioPromocion',$id2);
         $query=$this->db->get('promociones');
         if ($query->num_rows() > 0) { 
            foreach($query->result() as $row) 
            {
               $nombre=$row->NombrePromocion;
               return $nombre; 
            }              
            }else{
               return "";
            }
       }
    }
 
    public function buscarCitas($inicio, $fin, $cabina, $status)
    {
      $agenda=[];
      $seviciosA=$this->citaServiciosA($inicio, $fin, $cabina, $status);
      $seviciosG=$this->citaServiciosG($inicio, $fin, $cabina, $status);
      $promociones=$this->citaPromociones($inicio, $fin, $cabina, $status);
      if($seviciosA!=FALSE)
      {
         foreach($seviciosA as $sa){
            $agenda[] = array(
                                 $sa->NombreCliente, 
                                 $sa->NombreServicio, 
                                 $sa->NombreCabina, 
                                 $sa->NombreEstatusCita,
                                 date("d-m-Y", strtotime($sa->Fecha)), 
                                 date("g:i a",strtotime($sa->HoraInicio)),
                                 date("g:i a",strtotime($sa->HoraFin)),
                                 $sa->Observaciones,
                                 $sa->NombreUsuario,
                                );
         }
      }
      if($seviciosG!=FALSE)
      {
         foreach($seviciosG as $sa){
            $agenda[] = array(
                                 $sa->NombreCliente, 
                                 $sa->NombreServicio, 
                                 $sa->NombreCabina, 
                                 $sa->NombreEstatusCita,
                                 date("d-m-Y", strtotime($sa->Fecha)), 
                                 date("g:i a",strtotime($sa->HoraInicio)),
                                 date("g:i a",strtotime($sa->HoraFin)),
                                 $sa->Observaciones,
                                 $sa->NombreUsuario,
                                );
         }
      }
      if($promociones!=FALSE)
      {
         foreach($promociones as $pr){
            $agenda[] = array(
                                 $pr->NombreCliente, 
                                 $pr->NombrePromocion, 
                                 $pr->NombreCabina, 
                                 $pr->NombreEstatusCita,
                                 date("d-m-Y", strtotime($pr->Fecha)), 
                                 date("g:i a",strtotime($pr->HoraInicio)),
                                 date("g:i a",strtotime($pr->HoraFin)),
                                 $pr->Observaciones,
                                 $pr->NombreUsuario,
                                );
         }
      }
      echo json_encode($agenda);   
    }
    public function citaServiciosA($inicio, $fin, $cabina, $status)
    {
      $data['Franquicias']=$this->agendaF_model->BuscarFranquicia();
      foreach ($data['Franquicias'] as $i => $Franquicias)
      $this->db->select('*');
      $this->db->join('clientes','Clientes_IdClientes = IdClientes','inner');
      $this->db->join('cabina','Cabina_IdCabina = IdCabina','inner');
      $this->db->join('estatuscitas','estatuscitas_IdEstatusCita = IdEstatusCita','inner'); 
      $this->db->join('serviciosfranquicias','ServiciosFranquicias_IdServiciosFranquicias = IdServiciosFranquicias','inner');      
      $this->db->join('serviciosgenerales','ServiciosGenerales_IdServiciosGenerales = IdServiciosGenerales','inner'); 
      $this->db->join('usuarios','agenda.Usuarios_IdUsuarios = 	IdUsuarios','inner');
      $this->db->where('agenda.Franquicias_IdFranquicias',$i);
      $this->db->where('agenda.Fecha >=', $inicio.' 00:00:00');
      $this->db->where('agenda.Fecha <=', $fin.' 23:59:59');
      if($cabina!="")
      {
         $this->db->where('IdCabina', $cabina);
      }
      if($status!="")
      {
         $this->db->where('IdEstatusCita', $status);
      }
      $query=$this->db->get('agenda');
      if ($query->num_rows() > 0) {         
             return $query->result();    
         }else{
            return FALSE;
         }
    }
    public function citaServiciosG($inicio, $fin, $cabina, $status)
    {
      $data['Franquicias']=$this->agendaF_model->BuscarFranquicia();
      foreach ($data['Franquicias'] as $i => $Franquicias)
      $this->db->select('*');
      $this->db->join('clientes','Clientes_IdClientes = IdClientes','inner');
      $this->db->join('cabina','Cabina_IdCabina = IdCabina','inner');
      $this->db->join('estatuscitas','estatuscitas_IdEstatusCita = IdEstatusCita','inner');       
      $this->db->join('serviciosgenerales','ServiciosFranquicias_IdServiciosFranquicias = Codigo_Servicios','inner'); 
      $this->db->join('usuarios','agenda.Usuarios_IdUsuarios = 	IdUsuarios','inner');
      $this->db->where('agenda.Franquicias_IdFranquicias',$i);
      $this->db->where('agenda.Fecha >=', $inicio.' 00:00:00');
      $this->db->where('agenda.Fecha <=', $fin.' 23:59:59');
      if($cabina!="")
      {
         $this->db->where('IdCabina', $cabina);
      }
      if($status!="")
      {
         $this->db->where('IdEstatusCita', $status);
      }
      $query=$this->db->get('agenda');
      if ($query->num_rows() > 0) {         
             return $query->result();    
         }else{
            return FALSE;
         }
    }
    public function citaPromociones($inicio, $fin, $cabina, $status)
    {
      $data['Franquicias']=$this->agendaF_model->BuscarFranquicia();
      foreach ($data['Franquicias'] as $i => $Franquicias)
      $this->db->select('*');
      $this->db->join('clientes','Clientes_IdClientes = IdClientes','inner');
      $this->db->join('cabina','Cabina_IdCabina = IdCabina','inner');
      $this->db->join('estatuscitas','estatuscitas_IdEstatusCita = IdEstatusCita','inner');       
      $this->db->join('promociones','Promociones_IdPromociones = 	FolioPromocion','inner'); 
      $this->db->join('usuarios','agenda.Usuarios_IdUsuarios = 	IdUsuarios','inner');
      $this->db->where('agenda.Franquicias_IdFranquicias',$i);
      $this->db->where('agenda.Fecha >=', $inicio.' 00:00:00');
      $this->db->where('agenda.Fecha <=', $fin.' 23:59:59');
      if($cabina!="")
      {
         $this->db->where('IdCabina', $cabina);
      }
      if($status!="")
      {
         $this->db->where('IdEstatusCita', $status);
      }
      $query=$this->db->get('agenda');
      if ($query->num_rows() > 0) {         
             return $query->result();    
         }else{
            return FALSE;
         }
    }
   //  public function datosCliente($id)
   //  {
   //    $this->db->select('CelularCliente, CorreoCliente');
   //    $this->db->where('IdClientes', $id);
   //    $query=$this->db->get('clientes');
   //       if ($query->num_rows() > 0) { 
   //        foreach($query->result() as $row) 
   //         {
   //            $data=$row->CelularCliente ."\r\n".$row->CorreoCliente;
   //          return $data; 
   //         }              
   //       }else{
   //          return "";  
   //       }
   //  }
}


